The Vera Community forums have moved!

Advanced => Plugins & Plugin Development => Programming => Wink Connect (formerly Wink Hub Controller) => Topic started by: bohemian on July 06, 2017, 02:14:35 pm

Title: File Mismatch on Installation
Post by: bohemian on July 06, 2017, 02:14:35 pm
I am trying use my Wink Hub 2 to address a number of devices that my VeraPlus doesn't seem to reach. I tried installing this plugin as instructed from the App Marketplace. After installing, reloading the engine and refreshing, I run into a file mismatch error which is  blocking me.

Deleting the device, removing the app and reinstalling has no discernible effect. When I dig a little deeper, under device summary I see the following:

Installation error

Mismatched Files
- local_api.strace.uuenc
- local_api.picoNotify.txt
- local_api.notify.txt
- local_api.picoInit.txt
- local_api.php.txt


I'm puzzled because I don't see any of these files in the Wink Connect package so I assume that they are core Vera files. So, maybe a mismatch between the app and the latest Vera update? Dunno.

As far as the various pieces in my setup, I running:


Any concrete ideas on how to troubleshoot this?
Title: Re: File Mismatch on Installation
Post by: GaryOkie on July 15, 2017, 05:28:49 pm
This was answered in this post here. (http://forum.micasaverde.com/index.php/topic,48338.msg318284.html#msg318284)   You need to extract the updated Luup files from the api.zip found in that post and upload them.